<?php
function wu_watermark($imgpath) {
//Путь до вашей картинки
$watermark_path = '../../wu-static/img/watermark.png';

//Определение расширения
$imgpath_type = explode(".",$imgpath);
$type = array_pop($imgpath_type);

//Определеие размеров
list($owidth,$oheight) = getimagesize($imgpath);

if($type=='png' || $type=='PNG') {
$im = imagecreatetruecolor($owidth, $oheight);
imagesavealpha($im, true);
$trans_colour = imagecolorallocatealpha($im, 255, 255, 255, 127);
imagefill($im, 0, 0, $trans_colour);
$img_src = imagecreatefrompng($imgpath);
imagecopyresampled($im, $img_src, 0, 0, 0, 0, $owidth, $oheight, $owidth, $oheight);
}
if($type=='gif' || $type=='GIF') {
$im = imagecreatetruecolor($owidth, $oheight);
$img_src = imagecreatefromgif($imgpath);
imagecopyresampled($im, $img_src, 0, 0, 0, 0, $owidth, $oheight, $owidth, $oheight);
}
if($type=='jpeg' || $type=='jpg' || $type=='JPEG' || $type=='JPG') {$im = imagecreatefromjpeg($imgpath);}

$watermark = imagecreatefrompng($watermark_path);
list($w_width, $w_height) = getimagesize($watermark_path);

$pos_x = $owidth - $w_width-5;
$pos_y = $oheight - $w_height-5;

imagecopy($im, $watermark, $pos_x, $pos_y, 0, 0, $w_width, $w_height);
if($type=='png' || $type=='PNG') {unlink($imgpath); imagepng($im, $imgpath, 9);}
//if($type=='gif' || $type=='GIF') {unlink($imgpath); imagegif($im, $imgpath, 75);} //Раскомментируйте, что бы накладывать вотемарк на гиф, но анимации не будет
if($type=='jpeg' || $type=='jpg' || $type=='JPEG' || $type=='JPG') {unlink($imgpath); imagejpeg($im, $imgpath, 75);}
imagedestroy($im);
}